# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
DBus::ObjectAdaptor::Continuation Class Reference

`#include <object.h>`

## Public Member Functions

MessageIter & | writer ()
Tag * | tag ()

## Private Member Functions

| Continuation (Connection &conn, const CallMessage &call, const Tag *tag)

## Private Attributes

Connection | _conn
CallMessage | _call
MessageIter | _writer
ReturnMessage | _return
const Tag * | _tag

## Friends

class | ObjectAdaptor

## Detailed Description

Definition at line 136 of file object.h.

## Constructor & Destructor Documentation

## ◆ Continuation()

ObjectAdaptor::Continuation::Continuation | ( | Connection & | conn,
|  | const CallMessage & | call,
|  | const Tag * | tag )

private

Definition at line 281 of file object.cpp.

References _call, _conn, _return, _tag, _writer, DBus::Object::conn(), and tag().

## Member Function Documentation

## ◆ tag()

Tag * DBus::ObjectAdaptor::Continuation::tag | ( |  | ) |

inline

Definition at line 185 of file object.h.

References _tag.

Referenced by Continuation().

## ◆ writer()

MessageIter & DBus::ObjectAdaptor::Continuation::writer | ( |  | ) |

inline

Definition at line 190 of file object.h.

References _writer.

## Friends And Related Symbol Documentation

## ◆ ObjectAdaptor

friend class ObjectAdaptor

friend

Definition at line 154 of file object.h.

References ObjectAdaptor.

Referenced by ObjectAdaptor.

## Member Data Documentation

## ◆ _call

CallMessage DBus::ObjectAdaptor::Continuation::_call

private

Definition at line 149 of file object.h.

Referenced by Continuation(), and DBus::ObjectAdaptor::return_error().

## ◆ _conn

Connection DBus::ObjectAdaptor::Continuation::_conn

private

Definition at line 148 of file object.h.

Referenced by Continuation(), DBus::ObjectAdaptor::return_error(), and DBus::ObjectAdaptor::return_now().

## ◆ _return

ReturnMessage DBus::ObjectAdaptor::Continuation::_return

private

Definition at line 151 of file object.h.

Referenced by Continuation(), and DBus::ObjectAdaptor::return_now().

## ◆ _tag

const Tag* DBus::ObjectAdaptor::Continuation::_tag

private

Definition at line 152 of file object.h.

Referenced by Continuation(), DBus::ObjectAdaptor::return_error(), DBus::ObjectAdaptor::return_now(), and tag().

## ◆ _writer

MessageIter DBus::ObjectAdaptor::Continuation::_writer

private

Definition at line 150 of file object.h.

Referenced by Continuation(), and writer().

The documentation for this class was generated from the following files:

- object.h
- object.cpp